<?PHP
session_start();
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;

// DEFINE CURSOS QUE ESTÃO ABERTOS NO VESTIBULAR

$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';

// CABEÇALHO DA TABELA DE RELATÓRIO POR LINGUA "TREINEIROS"
?>
<br>
<br>
<?
if($Var_treineiro=='s')
	$TT='Relatório - Candidato Curso/Lingua "Treineiros"';
else
	$TT='Relatório - Candidato Curso/Lingua "Não Treineiros"';

echo ("<div align='center'><font face='Verdana' size='2' color='#800000'><strong>$TT</strong></font></div>");

if (!isset($busca)) 
{
	$sql = $sql_cursos;
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	$num = mysql_num_rows($result);
	if ($num == 0 )
	{
		echo 'Cursos não encontrados!!!';
	}
	else
	{
		$sql1 = "SELECT * FROM linguas ORDER by codigo ASC";
		$result1 = mysql_query($sql1)
			or die ( 'Não foi possível executar a query 161b.' );
		$num1 = mysql_num_rows($result1);
		$contador=0;
		while($info = mysql_fetch_array($result1)) 
		{
			$lingua[$contador] = $info["lingua"];
			$codigo_lingua[$contador] = $info["codigo"];
			$contador++;
		}
		echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
		$cor = "FFFFFF";
		while($information = mysql_fetch_array($result)) 
		{
			echo '<tr>';
			$codigo_curso_1 = $information["codigo_curso"];
			$codigo_curso = $information["codigo"];
			echo '<td width="6%" align="center" bgcolor="' . $cor . '">';
			echo '<font face ="verdana" size = "2">' . $codigo_curso_1 . '</font>';
			echo '</td>';
			echo '<td width="47%" align="left" bgcolor="' . $cor . '">';
			echo '<font face ="verdana" size = "2">' . $information["nome_curso"] . '</font>';
			echo '</td>';
			echo '<td width="47%" bgcolor="' . $cor . '">';
			include ("conta_candidato.php");
			for ($i=0; $i<$num1; $i++) 
			{
				echo '<a href="curso_lingua.php?curso=' . $information["codigo"] .'&lingua=' . $codigo_lingua[$i] . '&busca=sim&Var_treineiro='.$Var_treineiro.'"><font color="#000000" face="verdana" size="1">' . $lingua[$i] . ' - (' . $total_lingua[$i]. ')</font></a>&nbsp;&nbsp;&nbsp;&nbsp;';
			}
			echo '</td>';
			if ($cor == "FFFFFF")
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
		}
}
else {
	$curso_pesquisa = $curso;
	$lingua_pesquisa = $lingua;
	$sql = "SELECT * FROM cursos Where codigo = $curso";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 162.' );
	$num = mysql_num_rows($result);
	if ($num == 0 ) {
		echo 'Curso não econtrado!!!';
		exit;
	}
	while($info = mysql_fetch_array($result)) {
		$curso = $info["nome_curso"];
	}
	$sql1 = "SELECT * FROM linguas Where codigo = $lingua";
	$result1 = mysql_query($sql1)
		or die ( 'Não foi possível executar a query 162a.' );
	$num1 = mysql_num_rows($result1);
	if ($num1 == 0 ) {
		echo 'Lingua não econtrada!!!';
		exit;
	}
	while($info = mysql_fetch_array($result1)) {
		$lingua = $info["lingua"];
	}
echo '<center><font face="Verdana" size="2" color="#800000"><b>' . $curso . ' - ' . $lingua . '</b></font></center>';
	$sql = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' and treineiro='$Var_treineiro' order by codigo";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 163.' );
			echo '<strong><div align="center"><font face="Verdana" size="2">Resutado da Busca</font></div></strong>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#ff0000">Clique no número da Inscrição para Altera-la ou Remove-la</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="8%"><font face="Verdana" size="1" color="#000000"><b># Insc.</b></font></td>';
				echo '<td width="31%"><font face="Verdana" size="1" color="#000000"><b>Nome Candidato</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>R.G.</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>Telefone</b></font></td>';
				echo '<td width="13%"><font face="Verdana" size="1" color="#000000"><b>Data Pedido</b></font></td>';
				echo '<td width="24%"><font face="Verdana" size="1" color="#000000"><b>Curso</b></font></td>';
			echo '</tr>';
	$contador = 1;
	while($information = mysql_fetch_array($result)) {
		$aux1 = $information["curso"];
		$aux2 = $information["lingua"];
		$aux = $information["entregue"];
		if (($aux1 == $curso_pesquisa) && ($aux2 == $lingua_pesquisa)) {
		if ($aux == 'yes') {
			echo '<tr>';
				echo '<td align="center" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1">' . $contador . ' - <a href="../inscricao/editar.php?id=' . $information["codigo"] . '">';
					if ($information["codigo"] <= 9)
						echo '00000'. $information["codigo"];
					if (($information["codigo"] >= 10) && ($information["codigo"] <= 99))
					 	echo  '0000'. $information["codigo"];
					if (($information["codigo"] >= 100) && ($information["codigo"] <= 999))
					 	echo   '000'. $information["codigo"];
					if (($information["codigo"] >= 1000) && ($information["codigo"] <= 9999))
						echo    '00'. $information["codigo"];
					if ($information["codigo"] >= 10000)
					 	echo     '0'. $information["codigo"];
					echo '</a></font>';
				echo '</td>';
				echo '<td align="left" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1">';
					$aux = $information["nome_candidato"];
					if ($aux != '')
						echo $aux;
					else
						echo '<center><b><font color="#ff0000">Ficha em Branco</font></b></center>';
					echo '</font>';
				echo '</td>';
				echo '<td align="left" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1">';
					if ($information["rg"] == '')
						echo '<center>-</center>';
					else
						echo $information["rg"];
					echo '</font>';
				echo '</td>';
				echo '<td align="center" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1">';
					$aux = $information["telefone"];
					if ($aux == '')
						echo '<center>-</center>';
					else
						echo $information["codtelefone"].'-'.$aux   ;
					echo '</font>';
				echo '</td>';
				echo '<td align="left" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1"><center>' . $information["data_ficha"]. '</center></font>';
				echo '<td align="left" bgcolor="' . $cor . '">';
					echo '<font face ="verdana" size = "1">';
					$aux = $information["curso"];
					if ($aux == '')
						echo '<center>-</center>';
					else {
						$sql1 = "SELECT * FROM cursos ORDER by codigo ASC";
						$result1 = mysql_query($sql1)
							or die ( 'Não foi possível executar a query 162.' );
						while($info = mysql_fetch_array($result1)) {
							if ($aux == $info["codigo"]) {
								$aux1 = $info["nome_curso"];
								echo $aux1;
							}
						}
					}
					$contador++;
					echo '</font>';
				echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
		}
	}
}
?>
